V1MeFamilySubjectidPassportReadings
/v1/me/family/{subjectId}/passport/readings
Authorization
bearer AuthorizationBearer <token>
In: header
Path Parameters
subjectId*string
Match
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Format
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/me/family/497f6eca-6276-4993-bfeb-53cbbbba6f08/passport/readings" \ -H "Content-Type: application/json" \ -d '{ "entryId": "09a8b554-45ca-4bab-a638-265db4b3e828", "effectiveAt": "2019-08-24T14:15:22Z", "readings": [ { "code": "8480-6", "valueNum": 0, "unit": "string" } ], "consentHealthStorage": true, "guardianConsentVersion": "2026-09-24-family" }'{ "entryId": "09a8b554-45ca-4bab-a638-265db4b3e828", "effectiveAt": "2019-08-24T14:15:22Z", "recordedAt": "2019-08-24T14:15:22Z", "source": "manual", "consent": { "purpose": "health_storage", "version": "2026-09-09", "grantedAt": "2019-08-24T14:15:22Z" }, "readings": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "entryId": "09a8b554-45ca-4bab-a638-265db4b3e828", "code": "8480-6", "valueNum": 0, "valueText": "string", "unit": "string", "effectiveAt": "2019-08-24T14:15:22Z", "recordedAt": "2019-08-24T14:15:22Z", "source": "healthkit", "confidence": 0, "supersedesId": "688cf67a-2e6c-4e49-8750-5bc8809fcd6f" } ]}